<?php

namespace App\Http\Controllers;

use App\Models\Categoria;
use App\Models\Slider;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class ControllerCategorias extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {

        $data = Categoria::all();
        $user = Auth::user();

        return view('administrador.categorias.index', compact('data','user'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $categoria = new Categoria();

        $categoria->nombre = $request->nombre_categoria;

        if ($request->hasFile('ruta_img')) {

            $archivo = $request->file('ruta_img');
            $nombreArchivo = 'imgCategorias/'.$archivo->getClientOriginalName();
            $archivo->move(public_path('imgCategorias'), $nombreArchivo);

            $categoria->ruta_img = $nombreArchivo;

           
        }

        $categoria->save();
        $user = Auth::user();

        return redirect()->route('categorias.index',compact('user'));
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {

        $categoria = Categoria::find($id);
        $categoria->nombre = $request->nombre_categoria;

        $rutaImagen = public_path($categoria->ruta_img);

        if ($request->hasFile('ruta_img')) {

            if (file_exists($rutaImagen) && $categoria->ruta_img !== $request->hasFile('ruta_img')) {
          
                unlink($rutaImagen);

                $archivo = $request->file('ruta_img');
                $nombreArchivo = 'imgCategorias/'.$archivo->getClientOriginalName();
                $archivo->move(public_path('imgCategorias'), $nombreArchivo);
                $categoria->ruta_img = $nombreArchivo;
            }
        }

        $categoria->save();

        $user = Auth::user();

        return redirect()->route('categorias.index',compact('user'));
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        $item = Categoria::find($id);

        $rutaImagen = public_path('imgCategorias/' . $item->ruta_img);

        if (file_exists($rutaImagen)) {
            unlink($rutaImagen);
        }

        $item->delete();
        $user = Auth::user();
        return redirect()->route('categorias.index',compact('user'));
    }
}
