<?php

namespace App\Http\Controllers;

use App\Models\Categoria;
use App\Models\Comercio;
use App\Models\Comercio_categoria;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class ControllerDashboardComercio extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $user = Auth::user();
        $item = Comercio::find($user->id_usuario);
        return view('usuario.comercio.index',compact('item','user'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        $user = Auth::user();
        $item = Comercio::find($id);
        $all_categorias = Categoria::all();
        return view('usuario.comercio.update',compact('item','all_categorias','user'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        $item = Comercio::find($id);
        $item->nombre = $request->nombre;
        $item->telefono = $request->telefono;
        $item->correo = $request->correo;
        $item->dirreccion = $request->dirreccion;
        $item->latitud = $request->latitud;
        $item->longitud = $request->longitud;
        $item->descripcion = $request->descripcion;
        $item->enlace_instagram = $request->instagram;
        $item->enlace_facebook = $request->facebook;
        
        if ($request->hasFile('imagen')) {
            $archivo = $request->file('imagen');
            $nombreArchivo = 'img_destacada_'.$id.'.'.$archivo->getClientOriginalExtension();
            $archivo->move(public_path('imgComercios'), $nombreArchivo);
            $item->ruta_img = 'imgComercios/'.$nombreArchivo;
        }

        $item->save();

        $item->categorias()->delete();

        foreach($request->categorias as $c){
            $categoria = new Comercio_categoria();
            $categoria->id_comercio = $item->id_comercio;
            $categoria->id_categoria = $c;
            $categoria->save();
        }

        return redirect()->route('comercio.index');

    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
