<?php

namespace App\Http\Controllers;

use App\Mail\ContactoMailable;
use App\Models\Categoria;
use App\Models\Comercio;
use App\Models\Imagen_producto;
use App\Models\Producto;
use App\Models\Slider;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;

class ControllerIndex extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        
        $dataCategoria = Categoria::all();
        $dataSliders = Slider::all();
        $comerciosRecientes = Comercio::orderBy('id_comercio', 'desc')->take(3)->get();

        return view('index' ,compact('dataCategoria','dataSliders', 'comerciosRecientes'));
    }

    public function informacionComercio(string $id)
    {
        $comercio =  Comercio::find($id);
        return view('informacionComercio', compact('comercio'));
    }

    function busquedaProductosComercios(Request $request){

        $busqueda = $request->buscar;
        $comercios = Comercio::where('nombre', 'like', '%' . $busqueda . '%')->get();
        $productos = Producto::where('nombre', 'like', '%' . $busqueda . '%')->get();
        
        
        return view('comercioBusqueda', compact('comercios','productos','busqueda'));
    }

    //Información comercio - KENDALL

    function getListaComercios() {

        $data = Comercio::all();
        $categorias = Categoria::all();
        $bandera = 0;
        return view('ListaComercios', compact('data', 'categorias', 'bandera'));
    }

    public function get_Comercios_porCategoria(Request $request)
    {
        return response()->json(array('data' => get_comercios($request->id)));
    }

    public function get_Categoria_Comercio(string $id)
    {
        $categorias = Categoria::all();
        $data = get_comercios($id);
        $bandera = 1;

        return view('ListaComercios', compact('data', 'categorias', 'bandera'));
    }
    //FIN Información comercio - KENDALL
    

    public function ComercioProductos(string $id)
    {
        $comercio =  Comercio::find($id);
        return view('comercioProducto', compact('comercio'));
    }

    public function landingProductos(Request $request, string $id)
    {
        $comercio =  Comercio::find($id);
        $producto = Producto::find($request->id_producto);
        $imagenes = $producto->imagenes_producto;
         
        return view('landing-producto', compact('comercio', 'producto','imagenes'));
    }

    public function galeriaComercio(string $id)
    {
        $comercio =  Comercio::find($id);
        return view('GaleriaComercio', compact('comercio'));
    }

    public function contactoComercio(string $id)
    {
        $comercio =  Comercio::find($id);
        return view('contactoComercio', compact('comercio'));
    }
    //--------------------------

    //Lista de comercios
    

    public function mail(Request $request)
    {

        Mail::to($request->to_email)->send(new ContactoMailable($request));
        return back();
    }
}
