<?php

namespace App\Http\Controllers;

use App\Models\Slider;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class ControllerSlider extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $data = Slider::all();
        $user = Auth::user();

        return view('administrador.sliders.index', compact('data','user'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {   
        $user = Auth::user();
        return view('administrador.sliders.create',compact('user'));
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $item = new Slider();
        
        $item->titulo = $request->titulo;
        $item->descripcion = $request->descripcion;
        $item->enlace = $request->enlace;

    
        if ($request->hasFile('ruta_img')) {

            $archivo = $request->file('ruta_img');
            $nombreArchivo = $archivo->getClientOriginalName();
            $archivo->move(public_path('imgSliders'), $nombreArchivo);
        
            $item->ruta_img = '/imgSliders/' . $nombreArchivo;
        }

        $item->save();
        $data = Slider::all();
        $user = Auth::user();

        return view('administrador.sliders.index', compact('data','user'));
        
    }



    public function show(string $id)
    {

    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        $data = Slider::find($id);
        $user = Auth::user();

        return view('administrador.sliders.edit', compact('data','user'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        $item = Slider::find($id);

    
        $item->titulo = $request->titulo;
        $item->descripcion = $request->descripcion;
        $item->enlace = $request->enlace;

        if ($request->hasFile('ruta_img')) {

                $archivo = $request->file('ruta_img');
                $nombreArchivo = $archivo->getClientOriginalName();
                $archivo->move(public_path('imgSliders'), $nombreArchivo);
                $item->ruta_img ='/imgSliders/'. $nombreArchivo;
            
        }

        $item->save();

        $data = Slider::all();
        $user = Auth::user();

       return view('administrador.sliders.index', compact('data','user'));
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        $item = Slider::find($id);

        $rutaImagen = public_path('imgSliders/' . $item->ruta_img);

        if (file_exists($rutaImagen)) {
            unlink($rutaImagen);
        }
        $item->delete();
        return back();
    }
}
