@extends('app')

@section('contenido')

    <div class="container px-5">
        <div class="row">
            <h1 class="fw-bolder mt-4">{{ $comercio->nombre }}</h1>
        </div>
        <div class="row">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a class="fw-bold text-decoration-none" href="{{route('getListaComercios')}}">Categorías</a></li>
                    <li class="breadcrumb-item"><a class="fw-bold text-decoration-none" href="{{route('get_Categoria_Comercio', $comercio->categorias[0]['id_categoria'])}}">{{obtener_nombreCategoria($comercio->categorias[0]["id_categoria"])}}</a></li>
                    <li class="breadcrumb-item"><a class="fw-bold text-decoration-none" href="{{ route('informacionComercio', $comercio->id_comercio) }}">{{$comercio->nombre}}</a></li>
                    <li class="breadcrumb-item"><a class="fw-bold text-decoration-none" href="{{route('galeriaComercio', $comercio->id_comercio)}}">Galeria</a></li>
                </ol>
            </nav>
        </div>
    </div>
    
    <div class="container mt-2 px-5">
       
        <div class="all-title-box"
            style="background-image: url('{{$comercio->ruta_img}}'); 
            background-size: cover; 
            background-position: center; 
            background-repeat: no-repeat; 
            height: 300px; 
            position: relative;">
        </div>

        <div class="mt-3"></div>
        <div class="row">
            <ul class="nav">
                <li class="nav-item">
                    <a class="nav-link fw-bolder active" aria-current="page"
                        href="{{ route('informacionComercio', $comercio->id_comercio) }}">Información</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link fw-bolder"
                        href="{{ route('ComercioProductos', $comercio->id_comercio) }}">Productos</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link fw-bolder" href="{{ route('galeriaComercio', $comercio->id_comercio) }}">Galería</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link fw-bolder" href="{{route('contactoComercio', $comercio->id_comercio)}}">Contacto</a>
                </li>
            </ul>
        </div>
    </div>
    

    <div class="products-box">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="title-all text-center">
                        <h1>Galeria</h1>
                    </div>
                </div>
            </div>

            <div class="row special-list">
                @foreach ($comercio->imagenes_comercio as $item)
                    <div class="col-lg-3 col-md-6 special-grid ">
                        <div class="products-single fix">
                            <div class="box-img-hover">
                                <a href="{{$item->ruta_img}}" data-lightbox="roadtrip">
                                    <img src="{{$item->ruta_img}}" class="img-fluid" alt="Image"></a>
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
        </div>
    </div>
    <!-- End Gallery  -->
@endsection
@section('js')
<script>
    lightbox.option({
      'resizeDuration': 200,
      'wrapAround': true
    })
</script>
@endsection
