@extends('app')

@section('contenido')
    <div class="mt-5"></div>

    <div class="container pt-2 mb-2">
        <div class="col-lg-6 text-start">
            <h1> <span style="color: #787878">Categoría: </span><span class="nombre_categoria fw-bolder"></span></h1>
        </div>
    </div>

    <!--Cuerpo de la vista-->
    <div class="mt-4"></div>
    <div class="container-fluid">
        <div class="container">
            <div class="row">
                <div class="col-xl-3 col-lg-3 col-sm-12 col-xs-12 sidebar-shop-left">
                    <div class="product-categori">
                        <div class="filter-sidebar-left">
                            <div class="title-left">
                                <h3>Categorías</h3>
                            </div>
                            <div class="list-group list-group-collapse list-group-sm list-group-tree" id="list-group-men"
                                data-children=".sub-men">

                                <!--Lista de Categorias-->
                                @foreach ($categorias as $item)
                                    <div class="list-group-collapse sub-men">

                                        <button class="list-group-item list-group-item-action categoria-btn-js"
                                            id="{{ $item->id_categoria }}">
                                            {{ $item->nombre }} <smallclass="text-muted">({{ $item->comercios->count() }})
                                            </smallclass=class=></a>

                                    </div>
                                @endforeach

                            </div>
                        </div>
                    </div>
                </div>

                <!--CARDS DE COMERCIOS-->
                <div class="col-xl-9 col-lg-9 col-sm-12 col-xs-12 shop-content-right">
                    <div class="right-product-box">


                        <div class="row">

                            <div class="col-md-2 m-auto">
                                <h3 class="fw-bolder">Comercios</h3>
                            </div>

                            <div class="col-md-10">
                                <hr class="custom-hr" style="height: 4px !important; margin: 23px 0;">
                            </div>

                        </div>

                        <div class="row contenedor_comercios">

                            <div class="mt-3"></div>
                            @foreach ($data as $item)
                                <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12 p-3">

                                    <div class="card h-100 shadow-lg rounded-bl-lg card-comercio-shop">
                                        <img src="{{$item->ruta_img}}"
                                            class="card-img-top" />
                                        <div class="card-body">

                                            <p class="card-text text-center m-3 fw-bolder">{{ $item->nombre }}</p>

                                            <div class="container text-center">
                                                <a class="boton_comercio mb-3" href="{{ route('informacionComercio', $item->id_comercio) }}">Ver
                                                    más</a>
                                            </div>

                                        </div>
                                    </div>

                                </div>

                                <input type="hidden" value="{{ $item->categorias[0]['id_categoria'] ?? '' }}"
                                    class="categoria_comercio-js m-0 p-0">

                            @endforeach

                        </div>

                    </div>
                </div>

            </div>
        </div>
    </div>
@endsection

@section('js')
    <script>
        var comercios = @json($categorias);
        var bandera = @json($bandera);

        var id_decategoriaFirst = $('.categoria_comercio-js').val();
        colocar_first(id_decategoriaFirst);

        $('.categoria-btn-js').click(function() {

            //Estetica
            $('.categoria-btn-js').removeClass('active');
            $(this).addClass('active');

            //Funcionalidad
            $valor = $(this).attr('id');

            comercios.forEach(function(item) {

                if (item["id_categoria"] == $valor) {

                    $('.nombre_categoria').html(item['nombre']);
                    get_comercios($valor);

                }

            });

        })

        function get_comercios($id) {

            $.ajax({

                method: 'GET',
                url: "{{ route('get_Comercios_porCategoria') }}",
                dataType: "JSON",
                data: {
                    'id': $id
                },
                success: function(response) {

                    var contenedor = $('.contenedor_comercios');
                    contenedor.empty();

                    response.data.forEach(function(item) {

                        var reemplazar = "{{ route('informacionComercio', 'x') }}";
                        var ruta = reemplazar.replace("x", item['id_comercio']);

                        var html = `
                            <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12 p-3">
                                <div class="card h-100 shadow-lg rounded-bl-lg card-comercio-shop">
                                    <img src="${item["ruta_img"]}" class="card-img-top" />
                                    <div class="card-body">
                                        <p class="card-text text-center m-3 fw-bolder"> ${item["nombre"]} </p>
                                        <div class="container text-center">
                                           <a class="boton_comercio" href="${ruta}">Ver más</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        `;
                        contenedor.append(html);
                    });

                },
            });
        }

        function colocar_first($id_categoria) {
            if (bandera) {
                
                comercios.forEach(function(item) {

                    if (item["id_categoria"] == $id_categoria) {

                        $('.nombre_categoria').html(item['nombre']);
                    }
                });
            }

        }
    </script>
@endsection
