@extends('administrador.app_admin')

@section('contenido')
    <div class="row">

        <div class="col-12">

            <div class="card shadow-lg p-3 bg-body-tertiary">
                <div class="card-header">
                    <div class="d-flex align-items-center">
                        <h4 class="card-title">Categorias</h4>

                        <button class="btn btn-primary ms-auto" data-bs-toggle="modal" data-bs-target="#addRowModal">
                            <i class="fa fa-plus me-2"></i> Añadir
                        </button>
                    </div>

                    <!--Vista de creación de categoria-->
                    <div class="modal fade" id="addRowModal" tabindex="-1" role="dialog"
                        aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">Nueva Categoria</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                        aria-label="Close"></button>
                                </div>

                                <!--CREATE Categoria-->
                                <form action="{{ route('categorias.store') }}" id="formulario_store" method="POST" enctype="multipart/form-data">

                                    @csrf

                                    <div class="modal-body">

                                        <div class="row">

                                            <div class="col">

                                                <div class="form-group">
                                                    <label class="fw-bold">Nombre de categoria</label>
                                                    <input type="text" class="form-control mb-3 border border-3"
                                                        name="nombre_categoria" id="nombre_categoria-js"
                                                        placeholder="Agrega el nombre de la categoria..." required>
                                                </div>

                                                <div class="form-group">
                                                    <label class="fw-bold">Ingresa la imagen de la categoria</label>
                                                    <input class="form-control uploader_img" type="file" name="ruta_img"
                                                        accept="image/*" required>
                                                </div>

                                                <div class="container auto my-3 text-center">
                                                    <img class="img-fluid img-thumbnail imagen_categoria w-75" src="">
                                                </div>

                                            </div>

                                        </div>

                                    </div>

                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-light"
                                            data-bs-dismiss="modal">Cancelar</button>

                                        <button type="submit" id="btn_store" class="btn btn-success">Guardar</button>
                                    </div>

                                </form>

                            </div>
                        </div>
                    </div>
                    <!--FINAL Vista de creación de categoria-->

                </div>

                <div class="card-body">

                    <div class="table-responsive">
                        <table id="categorias" class="display table table-striped table-hover">
                            <thead>
                                <tr>
                                    <th>Imagen</th>
                                    <th>Nombre</th>
                                    <th>Editar</th>
                                    <th>Eliminar</th>
                                </tr>
                            </thead>

                            <tbody>

                            </tbody>
                        </table>
                    </div>


                </div>
            </div>

        </div>

    </div>


    <!-- INICIA MODAL UPDATE -->
    <div class="modal fade" id="modal_update" tabindex="-1" role="dialog" aria-labelledby="" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"> Editando la Categoria: <span class="fw-bold show_nombre">XXX</span> </h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>

                <form action="" method="POST" id="form_update" enctype="multipart/form-data">

                    @csrf
                    @method('PUT')

                    <div class="modal-body">
                        <div class="row">
                            <div class="col">

                                <div class="form-group">
                                    <label class="fw-bold">Nombre de categoria</label>
                                    <input type="text" class="form-control" name="nombre_categoria"
                                        id="nombre_categoria" placeholder="Agrega el nombre de la categoria..." required>
                                </div>

                                <div class="form-group">

                                        <label class="fw-bold">Ingresa la imagen de la categoria</label>
                                        <input class= "form-control uploader_img" type="file" name="ruta_img" id="ruta_img"
                                         accept="image/*" required>
                                         
                                
                                </div>

                                <div class="container auto my-3 text-center">
                                    <img class="img-fluid img-thumbnail imagen_categoria" id="imagen" src="">
                                </div>

                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light" data-bs-dismiss="modal">Cancelar</button>
                        <button type="submit" class="btn btn-warning">Actualizar</button>
                    </div>
                </form>

            </div>
        </div>
    </div>
    <!-- TERMINA MODAL UPDATE -->


    <!-- INICIA MODAL DELETE -->
    <div class="modal fade" id="modal_destroy" tabindex="-1" role="dialog" aria-labelledby="" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Eliminar la Categoria: <span class="fw-bold show_nombre">XXX</span></h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>

                <form action="" method="POST" id="form_destroy">

                    @csrf
                    @method('DELETE')

                    <div class="modal-body text-center my-3">
                        <h3>Desea eliminar la categoria <b><span class="show_nombre"></span></b>?</h3>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light" data-bs-dismiss="modal">Cancelar</button>
                        <button type="submit" class="btn btn-danger">Eliminar</button>
                    </div>
                </form>

            </div>
        </div>
    </div>
    <!-- TERMINA MODAL DELETE -->
@endsection

@section('js')
    <script>
        $(document).ready(function() {

            var ruta_update = "{{ route('categorias.update', 'x') }}";
            var ruta_destroy = "{{ route('categorias.destroy', 'x') }}";

            var datos = @json($data);

            var tabla = new DataTable('#categorias', {

                data: @json($data),
                columns: [
                    { data: 'ruta_img'},
                    { data: 'nombre' },
                    { data: 'Editar' },
                    { data: 'Eliminar' },
                ],
                columnDefs: [

                    {
                        targets: 0,
                        orderable: false,
                        data: null,
                        render: function(data, type, row, meta) {

                            let ruta = row.ruta_img;

                            let imagen = `
                                  <img src= "${ruta}" class="img-fluid w-25" style="width:50px !important">           
                            `;
                            return imagen;
                        }
                    },

                    {
                        targets: 2,
                        orderable: false,
                        data: null,
                        render: function(data, type, row, meta) {
                            let fila = meta.row;
                            let json = JSON.stringify(row);
                            let botones = `
                                        <button type="button" data-bs-toggle="modal" data-json='${json}'
                                            data-bs-target="#modal_update"
                                            class="btn btn-link btn-warning btn-lg btn-edit">
                                            <i class="fa fa-edit"></i>
                                        </button>        
                            `;
                            return botones;
                        }
                    },
                    {
                        targets: 3,
                        render: function(data, type, row, meta) {
                            let fila = meta.row;
                            let json = JSON.stringify(row);
                            let botones = `
                                        <button type="button" data-bs-toggle="modal" data-json='${json}'
                                            data-bs-target="#modal_destroy"
                                            class="btn btn-link btn-danger btn-lg btn-destroy">
                                            <i class="fa fa-times"></i>
                                        </button>        
                            `;
                            return botones;
                        }
                    }
                ],
            });

            $(document).on('click', '.btn-edit', function() {

                let data = $(this).data('json');

                let ruta = ruta_update.replace("x", data.id_categoria);

                $('#form_update').attr('action', ruta);
                $("#nombre_categoria").val(data.nombre);
                
                $("#imagen").attr('src', data.ruta_img);
                
                $("#modal_update .show_nombre").html(data.nombre);

            });


            $(document).on('click', '.btn-destroy', function() {

                let data = $(this).data('json');
                let ruta = ruta_destroy.replace("x", data.id_categoria);

                $('#form_destroy').attr('action', ruta);
                $("#modal_destroy .show_nombre").html(data.nombre);

            });


            //Logica para cargar imagen
            $('.uploader_img ').change(function() {

                if (this.files[0]) {

                    let archivo = this.files[0];
                    var lector = new FileReader();

                    lector.onload = function(e) {
                        $('.imagen_categoria').attr('src', e.target.result);
                    }

                    lector.readAsDataURL(archivo);

                } else {
                    $('.imagen_categoria').attr('src', '');
                }
            });




            

            $('#formulario_update').on('submit', function(event) {

                event.preventDefault();

                $('.modal').modal('hide');

                Swal.fire({
                    position: "center",
                    icon: "success",
                    title: "Categoria actualizada exitosamente",
                    showConfirmButton: false,
                    timer: 2000
                }).then((result) => {

                    $('#formulario_update').off('submit').submit();

                });

            });


            $('#formulario_eliminar').on('submit', function(event) {

                event.preventDefault();

                $('.modal').modal('hide');

                Swal.fire({
                    position: "center",
                    icon: "error",
                    title: "Categoria Eliminada",
                    showConfirmButton: false,
                    timer: 2000
                }).then((result) => {

                    $('#formulario_eliminar').off('submit').submit();

                });

            });
        });
    </script>
@endsection
