@extends('administrador.app_admin')

@section('contenido')
    <div class="row">

        @if ($user->rol == 2)
            <div class="col-12">

                <div class="card card-round">
                    <div class="card-header">
                        <div class="card-head-row card-tools-still-right">
                            <!--Nombre del comercio-->
                            <div class="card-title ">Comercio: <span class="fw-bolder">{{$item->nombre}}</span></div>
                        </div>
                    </div>

                    <div class="card-body p-0">

                        <p class="p-3">{{$item->descripcion}}</p>

                    </div>

                </div>

            </div>
        @endif





    </div>



    <div class="row justify-content-center">

        @if ($user->rol == 1)
            <div class="col-sm-6 col-md-4">
                <div class="card card-stats card-round card_directas">  
                    <div class="card-body">
                        <div class="row align-items-center">

                            <div class="col-icon">
                                <div class="icon-big text-center icon-info bubble-shadow-small">
                                    <i class="fas fa-layer-group"></i>
                                </div>
                            </div>

                            <div class="col col-stats ms-3 ms-sm-0">
                                <div class="numbers">
                                    <p class="card-category fw-bold">Acceso directo a Categorias</p>

                                    <h4 class="card-title"><a href="{{ route('categorias.index') }}"
                                            class="btn btn-sm btn-primary text-light">Ver
                                            más</a></h4>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>

            <div class="col-sm-6 col-md-4">
                <div class="card card-stats card-round card_directas">
                    <div class="card-body">
                        <div class="row align-items-center">
                            <div class="col-icon">
                                <div class="icon-big text-center icon-secondary bubble-shadow-small">
                                    <i class="fab fa-slideshare"></i>
                                </div>
                            </div>
                            <div class="col col-stats ms-3 ms-sm-0">
                                <div class="numbers">
                                    <p class="card-category">Acceso directo a Slider</p>
                                    <h4 class="card-title"><a href="{{ route('sliders.index') }}"
                                            class="btn btn-sm btn-primary text-light">Ver
                                            más</a></h4>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-sm-6 col-md-4">
                <div class="card card-stats card-round card_directas">
                    <div class="card-body">
                        <div class="row align-items-center">
                            <div class="col-icon">
                                <div class="icon-big text-center icon-success bubble-shadow-small">
                                    <i class="far fa-id-card"></i>
                                </div>
                            </div>
                            <div class="col col-stats ms-3 ms-sm-0">
                                <div class="numbers">
                                    <p class="card-category fw-bold">Acceso directo a Usuarios</p>
                                    <h4 class="card-title">
                                        <a href="{{ route('indexUsuarios') }}" class="btn btn-sm btn-primary text-light">Ver
                                            más</a>
                                    </h4>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>



        @else



            <div class="col-sm-6 col-md-4">
                <div class="card card-stats card-round card_directas">
                    <div class="card-body">
                        <div class="row align-items-center">

                            <div class="col-icon">
                                <div class="icon-big text-center icon-info bubble-shadow-small">
                                    <i class="fas fa-layer-group"></i>
                                </div>
                            </div>

                            <div class="col col-stats ms-3 ms-sm-0">
                                <div class="numbers">
                                    <p class="card-category fw-bold">Acceso directo a Informacion General</p>

                                    <h4 class="card-title"><a href="{{ route('comercio.index') }}"
                                            class="btn btn-sm btn-primary text-light">Ver
                                            más</a></h4>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>

            <div class="col-sm-6 col-md-4">
                <div class="card card-stats card-round card_directas">
                    <div class="card-body">
                        <div class="row align-items-center">
                            <div class="col-icon">
                                <div class="icon-big text-center icon-secondary bubble-shadow-small">
                                    <i class="fab fa-slideshare"></i>
                                </div>
                            </div>
                            <div class="col col-stats ms-3 ms-sm-0">
                                <div class="numbers">
                                    <p class="card-category">Acceso directo a Imagenes del Comercio</p>
                                    <h4 class="card-title"><a href="{{ route('galeriaComercio.index') }}"
                                            class="btn btn-sm btn-primary text-light">Ver
                                            más</a></h4>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-sm-6 col-md-4">
                <div class="card card-stats card-round card_directas">
                    <div class="card-body">
                        <div class="row align-items-center">
                            <div class="col-icon">
                                <div class="icon-big text-center icon-success bubble-shadow-small">
                                    <i class="far fa-id-card"></i>
                                </div>
                            </div>
                            <div class="col col-stats ms-3 ms-sm-0">
                                <div class="numbers">
                                    <p class="card-category fw-bold">Acceso directo a Productos</p>
                                    <h4 class="card-title">
                                        <a href="{{ route('productos.index') }}" class="btn btn-sm btn-primary text-light">Ver
                                            más</a>
                                    </h4>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        @endif



    </div>
@endsection
