@extends('administrador.app_admin')

@section('contenido')
    <div class="row">

        <div class="col-xl-6">

            <div class="card card-round shadow-lg">

                <div class="card-header">
                    <div class="card-head-row card-tools-still-right">
                        <div class="card-title">Crear Slider</div>

                        <div class="card-tools">
                            <div class="dropdown">
                                <a href="{{route('sliders.index')}}" class="btn btn-outline-dark">Regresar</a>
                            </div>
                        </div>

                    </div>
                </div>

                <!--Formulario Slider-->
                <form action="{{ route('sliders.store') }}" method="POST" enctype="multipart/form-data">
                    @csrf

                    <div class="card-body">


                        <div class="form-group">
                            <label class="fw-bolder">Título</label>
                            <input name="titulo" type="text" class="form-control"
                                placeholder="Coloca el título de la noticia" required>
                        </div>

                        <div class="form-group">
                            <label class="fw-bolder">Descripición</label>
                            <textarea name="descripcion" class="form-control" rows="5" placeholder="Agrega la descripción de la noticia" required></textarea>
                        </div>

                        <div class="form-group">
                            <label class="fw-bolder">Enlace</label>
                            <input name="enlace" type="text" class="form-control" required>
                        </div>

                        <div class="form-group">
                            <label class="fw-bolder">Imagen</label>
                            <input id="ruta_img" name="ruta_img" type="file" class="form-control" accept="image/*"
                                required>
                        </div>

                    </div>

                    <div class="card-footer text-end">
                        <button id="btn_store" type="submit" class="btn btn-success m-2">Guardar</button>
                    </div>
                </form>

            </div>

        </div>

        <div class="col-xl-6 ">
            <div class="card card-round">
                <div class="card-header">
                    <div class="card-head-row">
                        <div class="card-title">Previsualización</div>
                    </div>
                </div>

                <div class="card-body">

                    <div class="imagen">

                        <img src="" id="preview-image" class="img-fluid img-thumbnail rounded mx-auto d-block w-50">

                    </div>


                </div>

            </div>

        </div>

    </div>
@endsection

@section('js')
    <script>
        document.getElementById('ruta_img').addEventListener('change', function(event) {
            const reader = new FileReader();
            reader.onload = function(e) {
                document.getElementById('preview-image').src = e.target.result;
            };
            reader.readAsDataURL(event.target.files[0]);
        });

        $('#btn_store').click(function(event) {
           
                $('.modal').modal('hide');

                Swal.fire({
                    position: "center",
                    icon: "success",
                    title: "Se ha agregado un Slider exitosamente",
                    showConfirmButton: false,
                    timer: 2000
                })
                
            });
    </script>
@endsection
