@extends('administrador.app_admin')

@section('contenido')
<div class="row">

    <div class="col-xl-6">

        <div class="card card-round shadow-lg">

            <div class="card-header">
                <div class="card-head-row card-tools-still-right">
                    <div class="card-title">Crear Noticia</div>

                    <div class="card-tools">
                        <div class="dropdown">
                            <a href="/sliders" class="btn btn-outline-dark">Regresar</a>
                        </div>
                    </div>

                </div>
            </div>

            <!--Formulario Slider-->
            <form action="{{ route('sliders.update', $data) }}" method="POST" enctype="multipart/form-data">
                @method('PUT')
                @csrf

                <div class="card-body">

                    <div class="form-group">
                        <label class="fw-bolder">Título</label>
                        <input type="text" class="form-control" name="titulo"
                            placeholder="Coloca el título de la noticia" value="{{ $data->titulo }}" required>
                    </div>

                    <div class="form-group">
                        <label class="fw-bolder">Descripición</label>
                        <textarea class="form-control" name="descripcion" rows="5"
                            placeholder="Agrega la descripción de la noticia" required>{{ $data->descripcion}}</textarea>
                    </div>

                    <div class="form-group">
                        <label class="fw-bolder">Enlace</label>
                        <input name="enlace" type="text" class="form-control" value="{{ $data->enlace }}" required>
                    </div>

                    <div class="form-group">
                        <label class="fw-bolder">Imagen</label>
                        <input id="ruta_img" type="file" name="ruta_img" class="form-control" accept="image/*" required>
                    </div>

                </div>

                <div class="card-footer text-end">
                    <button id="btn_store" type="submit" class="btn btn-warning m-2">Actualizar</button>
                </div>
            </form>

        </div>

    </div>

    <div class="col-xl-6">
        <div class="card card-round">
            <div class="card-header">
                <div class="card-head-row">
                    <div class="card-title">Previsualización</div>
                </div>
            </div>

            <div class="card-body">

                <img src="{{$data->ruta_img}}" id="preview-image"
                    class="img-fluid img-thumbnail rounded mx-auto d-block w-50">

            </div>

        </div>

    </div>

</div>
@endsection

@section('js')
<script>

    document.getElementById('ruta_img').addEventListener('change', function (event) {
        const reader = new FileReader();
        reader.onload = function (e) {
            document.getElementById('preview-image').src = e.target.result;
        };
        reader.readAsDataURL(event.target.files[0]);
    });

    $('#btn_store').click(function (event) {

        $('.modal').modal('hide');

        Swal.fire({
            position: "center",
            icon: "success",
            title: "Se ha actualizado exitosamente",
            showConfirmButton: false,
            timer: 3000
        })

    });
</script>
@endsection