@extends('administrador.app_admin')

@section('contenido')
    <div class="row">

        <div class="col-12">

            <div class="card shadow-lg p-3 bg-body-tertiary">
                <div class="card-header">
                    <div class="d-flex align-items-center">

                        <h4 class="card-title">Sliders</h4>
                        <a href="{{ route('sliders.create') }}" class="btn btn-primary ms-auto"><i class="fa fa-plus me-2"></i> Añadir</a>
                    </div>

                </div>

                <div class="card-body">


                    <!--Tabla de categorias-->
                    <div class="table-responsive">

                        <table id="add-row" class="display table table-striped table-hover">
                            <thead>
                                <tr>
                                    <th>Imagen</th>
                                    <th>Titulo</th>
                                    <th>Descripción</th>
                                    <th>Enlace</th>
                                    <th style="width: 10%">Editar</th>
                                    <th style="width: 10%">Eliminar</th>
                                </tr>
                            </thead>
                            <tbody>

                                @foreach ($data as $item)
                                    <tr>

                                        <td>
                                            <img src="{{ $item->ruta_img }}" style="width: 6rem">
                                        </td>



                                        <td>{{ $item->titulo }}</td>
                                        <td>{{ $item->descripcion }}</td>
                                        <td>{{ $item->enlace }}</td>

                                        <td>
                                            <a href="{{ route('sliders.edit', $item) }}" class="btn btn-link btn-warning"><i class="fa fa-edit"></i></a>
                                        </td>

                                        <td>

                                            <!--Formulario Eliminar Slider-->
                                            <form action="{{ route('sliders.destroy', $item->id_slider) }}" method="POST">
                                                @csrf
                                                @method('DELETE')

                                                <button type="submit" data-bs-toggle="tooltip"
                                                    class="btn btn-link btn-danger">
                                                    <i class="fa fa-times"></i>
                                                </button>

                                            </form>

                                        </td>

                                    </tr>
                                @endforeach


                            </tbody>
                        </table>

                    </div>
                </div>
            </div>

        </div>

    </div>
@endsection

@section('js')
    <script>
        $("#add-row").DataTable({
            pageLength: 5,
        });
    </script>
@endsection
