<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>@yield('titulo')</title>

    <link rel="shortcut icon" href="libs/images/logo_img.ico" type="image/x-icon">

    <link rel="stylesheet" href="libs/css/bootstrap.min.css">
    <link rel="stylesheet" href="libs/bootstrap-5.0.2-dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/swiper@11/swiper-bundle.min.css" />
    <link rel="stylesheet" href="libs/lightbox2-dev/src/css/lightbox.css" rel="stylesheet" />
    <link rel="stylesheet" href="libs/css/responsive.css">
    <link rel="stylesheet" href="libs/css/custom.css">
    <link rel="stylesheet" href="libs/css/style.css">

    <!-- Google API -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;200;300;400;500;700;900&display=swap" />

</head>

<body>

    <!--Empieza barra de navegación-->
    <header class="main-header">

        <nav class="navbar navbar-expand-lg navbar-light bg-light navbar-default bootsnav">
            <div class="container">

                <div class="navbar-header">
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar-menu"
                        aria-controls="navbars-rs-food" aria-expanded="false" aria-label="Toggle navigation">
                        <i class="fa fa-bars"></i>
                    </button>

                    <a class="navbar-brand" href="{{route('index')}}">
                        <img src="libs/images/imagen_logo.png" style="max-height:80px" class="logo">
                    </a>

                </div>

                <div class="collapse navbar-collapse" id="navbar-menu">
                    <ul class="nav navbar-nav ml-auto" data-in="fadeInDown" data-out="fadeOutUp">
                        <li class="nav-item"><a class="nav-link" href="{{route('index')}}">Inicio</a></li>
                        <li class="nav-item"><a class="nav-link" href="{{route('getListaComercios')}}">Comercios</a>
                        </li>
                        <li class="side-menu"><a class="nav-link" href="{{route('login')}}">Iniciar sesión</a></li>
                    </ul>
                </div>

            </div>
        </nav>

    </header>

    <div class="container mt-4 mb-3">
        <div class="row">
            <div class="col text-center">
                <form action="{{route('busquedaProductosComercios')}}" method="GET">
                    @csrf
                    <div class="input-group">
                        <input style="background-color: #d9d9d9;" type="text"
                            class="form-control border border-2 border-secondary rounded rounded-3 py-3"
                            placeholder="Buscar comercios, productos o servicios" name="buscar" data-listener-added_fc07597b="true">

                        <button class="btn rounded-end rounded-3 ms-4 fw-bold text-light" type="submit" style="background-color: rgb(145, 190, 18)">Buscar</button>
                    </div>
                </form>
            </div>

        </div>
    </div>
    <!--Termina barra de navegación-->

    <!-- Cuerpo -->
    @yield('contenido')

    <!--Inicio de footer-->
    <footer>
        <div class="footer-main">
            <div class="container-fluid">

                <div class="row text-center justify-content-center align-content-end">

                    <div class="col-lg-5 col-md-12 col-sm-12">

                        <div class="footer-link-contact">
                            <h4>Contacta con nosotros</h4>
                            <ul>
                                <li>
                                    <p><i class="fas fa-map-marker-alt"></i>Dirección: Limón, Siquirres.</p>
                                </li>
                                <li>
                                    <p><i class="fas fa-phone-square"></i>Télefono: <span>(+506) 1235-6532</span></p>
                                </li>
                                <li>
                                    <p><i class="fas fa-envelope"></i>Correo: <span>SikirresCommerce@gmail.com</span>
                                    </p>
                                </li>
                            </ul>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </footer>

    <div class="footer-copyright">

        <p class="footer-company">Todos los derechos reservados. &copy; 2024 <a href="#">E-commerce</a> Diseñado
            por :
            <a href="https://html.design/">Grupo 4 y 3</a>
        </p>

    </div>
    <!--Final de footer-->


    <a href="#" id="back-to-top" title="Back to top" style="display: none;"><i
            class="bi bi-arrow-up-circle-fill h1 text-success"></i></a>

    <!-- ALL JS FILES -->
    <script src="libs/js/jquery-3.2.1.min.js"></script>
    <script src="libs/js/popper.min.js"></script>
    <script src="libs/js/bootstrap.min.js"></script>
    <script src="libs/lightbox2-dev/src/js/lightbox.js"></script>
    <!-- ALL PLUGINS -->
    <script src="libs/js/jquery.superslides.min.js"></script>
    <script src="libs/js/bootstrap-select.js"></script>
    <script src="libs/js/inewsticker.js"></script>
    <script src="libs/js/images-loded.min.js"></script>
    <script src="libs/js/isotope.min.js"></script>
    <script src="libs/js/owl.carousel.min.js"></script>
    <script src="libs/js/baguetteBox.min.js"></script>
    <script src="libs/js/form-validator.min.js"></script>
    <script src="libs/js/contact-form-script.js"></script>
    <script src="libs/js/custom.js"></script>

    @yield('js')
</body>

</html>