@extends('app')

@section('contenido')

    <body>
        <div class="container px-5">
            <div class="row">
                <h1 class="fw-bolder mt-4">{{ $comercio->nombre }}</h1>
            </div>
            <div class="row">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a class="fw-bold text-decoration-none" href="{{route('getListaComercios')}}">Categorías</a></li>
                    <li class="breadcrumb-item"><a class="fw-bold text-decoration-none" href="{{route('get_Categoria_Comercio', $comercio->categorias[0]['id_categoria'])}}">{{obtener_nombreCategoria($comercio->categorias[0]["id_categoria"])}}</a></li>
                    <li class="breadcrumb-item"><a class="fw-bold text-decoration-none" href="{{ route('informacionComercio', $comercio->id_comercio) }}">{{$comercio->nombre}}</a></li>
                        <li class="breadcrumb-item"><a class="fw-bold text-decoration-none" href="{{route('ComercioProductos', $comercio->id_comercio)}}">Productos</a></li>
                    </ol>
                </nav>
            </div>
        </div>
        
        <!-- Content -->
        <div class="container mt-2 px-5">
            <!-- Start All Title Box -->
            <div class="all-title-box"
                style="background-image: url('{{$comercio->ruta_img}}'); 
                background-size: cover; 
                background-position: center; 
                background-repeat: no-repeat; 
                height: 300px; 
                position: relative;">
            </div>
    
            
            <div class="mt-3"></div>
            <div class="row">
                <ul class="nav">
                    <li class="nav-item">
                        <a class="nav-link fw-bolder active" aria-current="page"
                            href="{{ route('informacionComercio', $comercio->id_comercio) }}">Información</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link fw-bolder"
                            href="{{ route('ComercioProductos', $comercio->id_comercio) }}">Productos</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link fw-bolder" href="{{ route('galeriaComercio', $comercio->id_comercio) }}">Galería</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link fw-bolder" href="{{route('contactoComercio', $comercio->id_comercio)}}">Contacto</a>
                    </li>
                </ul>
            </div>
        </div>

        <div class="shop-box-inner">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="title-all text-center">
                            <h1>Productos</h1>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-sm-12 col-xs-12 shop-content-right">
                        <div class="right-product-box">

                            <div class="product-categorie-box">
                                <div class="tab-content">
                                    <div role="tabpanel" class="tab-pane fade show active" id="grid-view">
                                        <div class="row">
                                            @foreach ($comercio->productos as $item)
                                                <div class="col-lg-3 col-xl-3 col-sm-12 col-xs-12 p-3">
                                                    <div class="card h-100 shadow-lg rounded-bl-lg card-comercio-shop">
                                                        <img src="{{$item->ruta_img}}"
                                                            class="card-img-top" />
                                                        <div class="card-body">

                                                            <p class="card-text text-center m-3 fw-bolder">
                                                                {{ $item->nombre }}</p>

                                                            <div class="container text-center">
                                                                <form
                                                                    action="{{ route('landingProductos', $comercio->id_comercio) }}"
                                                                    method="GET">
                                                                    @csrf
                                                                    <input type="hidden" name="id_producto"
                                                                        value={{ $item->id_producto }}>

                                                                    <button type="submit" class="btn boton_comercio mb-3">Ver
                                                                        más</button>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            @endforeach
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>


                </div>
            </div>
        </div>
        <!-- End Shop Page -->
    </body>
@endsection
