@extends('app')

@section('contenido')

    <body>
        <div class="container px-5">
            <div class="row">
                <h1 class="fw-bolder mt-4">{{ $comercio->nombre }}</h1>
            </div>
            <div class="row">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a class="fw-bold text-decoration-none"
                                href="{{ route('getListaComercios') }}">Categorías</a></li>
                        <li class="breadcrumb-item"><a class="fw-bold text-decoration-none"
                                href="{{ route('get_Categoria_Comercio', $comercio->categorias[0]['id_categoria']) }}">{{ obtener_nombreCategoria($comercio->categorias[0]['id_categoria']) }}</a>
                        </li>
                        <li class="breadcrumb-item"><a class="fw-bold text-decoration-none"
                                href="{{ route('informacionComercio', $comercio->id_comercio) }}">{{ $comercio->nombre }}</a>
                        </li>
                        <li class="breadcrumb-item"><a class="fw-bold text-decoration-none"
                                href="{{ route('contactoComercio', $comercio->id_comercio) }}">Contactanos</a></li>
                    </ol>
                </nav>
            </div>
        </div>
        
        <div class="container mt-2 px-5">
          
            <div class="all-title-box"
                style="background-image: url('{{ $comercio->ruta_img }}'); 
            background-size: cover; 
            background-position: center; 
            background-repeat: no-repeat; 
            height: 300px; 
            position: relative;">
            </div>

            <div class="mt-3"></div>
            <div class="row">
                <ul class="nav">
                    <li class="nav-item">
                        <a class="nav-link fw-bolder active" aria-current="page"
                            href="{{ route('informacionComercio', $comercio->id_comercio) }}">Información</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link fw-bolder"
                            href="{{ route('ComercioProductos', $comercio->id_comercio) }}">Productos</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link fw-bolder"
                            href="{{ route('galeriaComercio', $comercio->id_comercio) }}">Galería</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link fw-bolder"
                            href="{{ route('contactoComercio', $comercio->id_comercio) }}">Contacto</a>
                    </li>
                </ul>
            </div>
        </div>

        <div class="mt-4"></div>
        <div class="container">
            <div class="row ">
                <div class="col-sm-12">
                    <div class="row">
                        <div class="col-12">
                            <div class="title-all text-center">
                                <h1>Contacto</h1>

                                <p>Utilice el siguiente formulario para enviar un mensaje a
                                    <span class="fw-bold">{{ $comercio->nombre }}</span> y con gusto le atenderemos
                                </p>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
            <form action="{{ route('mail') }}" method="POST">
                @csrf
                <div class="row">
                    <div class="col-4">
                        <div class="row"> 
                            <div class="col">
                                <label class="fw-bold mb-3">Nombre</label>
                              <input type="text" name="name" class="form-control formulario_correo">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <label class="fw-bold mb-3 mt-3">Correo</label>
                                <input type="email" name="mail" class="form-control formulario_correo">
                            </div>
                            
                            <input type="hidden" value="{{$comercio->correo}}" name="to_email">
                            <input type="hidden" value="{{$comercio->nombre}}" name="nombre_comercio">

                        </div>
                        <div class="row">
                            <div class="col">
                                <label class="fw-bold mb-3 mt-3">Telefono</label>
                                <input type="text" name="tel" class="form-control formulario_correo">
                            </div>
                        </div>
                    </div>
                    <div class="col-8">
                        <label class="fw-bold mb-3">Mensaje</label>
                        <textarea name="text" class="form-control formulario_correo" rows="9"></textarea>
                        <div class="mt-3 text-end">
                            <button class="btn btn-dark" type="submit">Enviar</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <div class="mb-4"></div>



    </body>
@endsection
