@extends('app')

@section('contenido')
    <!-- Start Slider -->
    <div id="slides-shop" class="cover-slides">
        <ul class="slides-container">

            @foreach ($dataSliders as $item)
                <li class="text-center">
                    <img src="{{ $item->ruta_img }}">
                    <div class="container">
                        <div class="row">
                            <div class="col-md-12">
                                <h1 class="m-b-20"><strong>{{ $item->titulo }}<br> </strong></h1>
                                <p class="m-b-40">{{ $item->descripcion }}</p>
                                <p><a class="btn hvr-hover" href="{{ $item->enlace }}">Ver más</a></p>
                            </div>
                        </div>
                    </div>
                </li>
            @endforeach


        </ul>
        <div class="slides-navigation">
            <a href="#" class="next"><i class="fa fa-angle-right" aria-hidden="true"></i></a>
            <a href="#" class="prev"><i class="fa fa-angle-left" aria-hidden="true"></i></a>
        </div>
    </div>
    <!-- End Slider -->

    <!-- Start Categories  -->
    <div class="categories-shop">
        <div class="container">

            <div class="row">
                <div class="col-lg-4 text-center">
                    <h1>
                        <p>Comercios Recientes</p>
                    </h1>
                </div>
                <div class="col-lg-8">
                    <hr class="custom-hr" style="height: 4px !important; margin: 23px 0;">
                </div>
            </div>

            <div class="row">

                @foreach ($comerciosRecientes as $item)
                    
                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-6 p-3">
                    <div class="card h-100 shadow-lg rounded-bl-lg card-comercio-shop">
                        <img src="{{$item->ruta_img}}" class="card-img-top" />
                        <div class="card-body">
                            <p class="card-text text-center m-3 fw-bolder">{{ $item->nombre }}</p>
                            <div class="container text-center">
                                <a class="boton_comercio mb-3" href="{{ route('informacionComercio', $item->id_comercio) }}">Ver más</a>
                            </div>
                        </div>
                    </div>
                </div>
                
                @endforeach
            </div>
        </div>
    </div>
    <!-- End Categories -->


    <div class="box-add-products">

        <div class="container">

            <div class="row">

                <div class="col-lg-4 text-center">

                    <h1>
                        <p>Categorías</p>
                    </h1>

                </div>

                <div class="col-lg-8">
                    <hr class="custom-hr" style="height: 4px !important; margin: 23px 0;">
                </div>

            </div>

            <div class="row">

                @foreach ($dataCategoria as $item)
                
                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-6 p-3">
                    <div class="card h-100 shadow-lg rounded-bl-lg card-comercio-shop">
                        <img src="{{$item->ruta_img}}" class="card-img-top" />
                        <div class="card-body">
                            <p class="card-text text-center m-3 fw-bolder">{{ $item->nombre }}</p>
                            <div class="container text-center">
                                <a class="boton_comercio mb-3" href="{{ route('get_Categoria_Comercio', $item->id_categoria) }}">Ver más</a>
                            </div>
                        </div>
                    </div>
                </div>
                
                @endforeach

            </div>
        </div>
    </div>
@endsection
