@extends('app')

@section('contenido')

    <div class="container px-5">
        <div class="row">
            <h1 class="fw-bolder mt-4">{{ $comercio->nombre }}</h1>
        </div>
        <div class="row">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a class="fw-bold text-decoration-none" href="{{ route('getListaComercios') }}">Categorías</a></li>
                    <li class="breadcrumb-item"><a class="fw-bold text-decoration-none" href="{{ route('get_Categoria_Comercio', $comercio->categorias[0]['id_categoria'] ) }}">{{ obtener_nombreCategoria($comercio->categorias[0]['id_categoria']) ?? '' }}</a>
                    
                    <li class="breadcrumb-item"><a class="fw-bold text-decoration-none" href="{{ route('informacionComercio', $comercio->id_comercio) }}">{{ $comercio->nombre }}</a>
                    
                </ol>
            </nav>
        </div>
    </div>

    <div class="container mt-2 px-5">

        <div class="all-title-box"
            style="background-image: url('{{ $comercio->ruta_img }}'); 
            background-size: cover; 
            background-position: center; 
            background-repeat: no-repeat; 
            height: 300px; 
            position: relative;">
        </div>

        <div class="mt-3"></div>
        <div class="row">
            <ul class="nav">
                <li class="nav-item">
                    <a class="nav-link fw-bolder active"
                        href="{{ route('informacionComercio', $comercio->id_comercio) }}">Información</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link fw-bolder"
                        href="{{ route('ComercioProductos', $comercio->id_comercio) }}">Productos</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link fw-bolder" href="{{ route('galeriaComercio', $comercio->id_comercio) }}">Galería</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link fw-bolder"
                        href="{{ route('contactoComercio', $comercio->id_comercio) }}">Contacto</a>
                </li>
            </ul>
        </div>

        <div class="mt-4"></div>
        <div class="row">

            <div class="col-sm-12 mb-5 mt-2">

                <div class="row">
                    <div class="col-lg-12">
                        <div class="title-all text-center">
                            <h1>Información</h1>
                        </div>
                    </div>
                </div>

                <div class="row">

                    <div class="col-sm-6 info">

                        <p>{{ $comercio->descripcion }}</p>

                        <div class="item-info mt-2">
                            <p><span class="fw-bolder">Direccion: </span><span>{{ $comercio->dirreccion }}</span></p> 
                        </div>
                        <div class="item-info mt-2">
                            <p><span class="fw-bolder">Télefono: </span><span>{{ $comercio->telefono }}</span></p> 
                        </div>
                        <div class="item-info mt-2">
                            <p><span class="fw-bolder">Correo: </span><span>{{ $comercio->correo }}</span></p>
                        </div>
                        <div class="item-info mt-2">
                            <p><span class="fw-bolder">Facebook: </span><span>{{ $comercio->enlace_facebook ?? 'No existe' }}</span></p>
                        </div>
                        <div class="item-info mt-2">
                            <p><span class="fw-bolder">Instagram: </span><span>{{ $comercio->enlace_instagram ?? 'No existe' }}</span></p>
                        </div>

                        <input type="hidden" id="latitud" value="{{ $comercio->latitud }}">
                        <input type="hidden" id="longitud" value="{{ $comercio->longitud }}">
                    </div>

                    <div class="col-sm-6">
                        <div id="map" style="width: 100%;height: 500px !important;"></div>
                    </div>

                </div>
            </div>

        </div>
    </div>
@endsection

@section('js')
    <script src="assets/js/bootstrap.bundle.min.js"></script>
    <script async
        src="https://maps.googleapis.com/maps/api/js?key=AIzaSyA6LH4NtKdH2AUFtAqiOeUTBysHAzmpBE8&libraries=places&callback=initMap">
    </script>

    <script>
        var latitud = parseFloat($('#latitud').val());
        var longitud = parseFloat($('#longitud').val());

        const argCoords = {
            lat: latitud,
            lng: longitud
        };
        const mapDiv = document.getElementById("map");
        const input = document.getElementById("place_input");
        let map;
        let marker;
        let autocomplete;

        function initMap() {
            map = new google.maps.Map(mapDiv, {
                center: argCoords,
                zoom: 7,
            });
            marker = new google.maps.Marker({
                position: argCoords,
                map: map,
            });
        }
    </script>
@endsection
