@extends('app')

@section('contenido')
    <div class="container px-5">
        <div class="row">
            <h1 class="fw-bolder my-3">{{ $comercio->nombre }}</h1>
        </div>
        <div class="row">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a class="fw-bold text-decoration-none"
                            href="{{ route('getListaComercios') }}">Categorías</a></li>
                    <li class="breadcrumb-item"><a class="fw-bold text-decoration-none"
                            href="{{ route('get_Categoria_Comercio', $comercio->categorias[0]['id_categoria']) }}">{{ obtener_nombreCategoria($comercio->categorias[0]['id_categoria']) }}</a>
                    </li>
                    <li class="breadcrumb-item"><a class="fw-bold text-decoration-none"
                            href="{{ route('informacionComercio', $comercio->id_comercio) }}">{{ $comercio->nombre }}</a>
                    </li>
                    <li class="breadcrumb-item"><a class="fw-bold text-decoration-none"
                            href="{{ route('ComercioProductos', $comercio->id_comercio) }}">Productos</a></li>
                    <li class="breadcrumb-item fw-bold text-decoration-none active" aria-current="page">
                        {{ $producto->nombre }}</li>
                </ol>
            </nav>
        </div>
    </div>
    <!-- Content -->
    <div class="container mt-2 px-5">
        <!-- Start All Title Box -->
        <div class="all-title-box"
            style="background-image: url('{{ $comercio->ruta_img }}'); 
        background-size: cover; 
        background-position: center; 
        background-repeat: no-repeat; 
        height: 300px; 
        position: relative;">
        </div>
        <!-- End All Title Box -->

        <div class="row mt-5">
            <ul class="nav">
                <li class="nav-item">
                    <a class="nav-link fw-bolder btn-primary active"
                        href="{{ route('ComercioProductos', $comercio->id_comercio) }}">Regresar</a>
                </li>
            </ul>
        </div>

    </div>

    <!-- Start Shop Detail  -->
    <div class="shop-detail-box-main">
        <div class="container">
            <div class="row">
                <div class="col-xl-5 col-lg-5 col-md-6 text-center single-product-details,">
                    <h2>{{ $producto->nombre }}</h2>
                </div>
            </div>

            <div class="row">
                <div class="col-xl-5 col-lg-5 col-md-6">
                    <div style="--swiper-navigation-color: #fff; --swiper-pagination-color: #fff" class="swiper mySwiper2">
                        <div class="swiper-wrapper">
                            @foreach ($imagenes as $item)
                                <div class="swiper-slide" >
                                    <a href="{{ $item->ruta_img }}" data-lightbox="roadtrip"><img src={{ $item->ruta_img }} />  </a>
                                </div>
                            @endforeach
                        </div>
                        <div class="swiper-button-next"></div>
                        <div class="swiper-button-prev"></div>
                    </div>
                    <div thumbsSlider="" class="swiper mySwiper">
                        <div class="swiper-wrapper">
                            @foreach ($imagenes as $item)
                                <div class="swiper-slide">
                                    <img src={{ $item->ruta_img }} />
                                </div>
                            @endforeach
                        </div>
                    </div>
                </div>
                <div class="col-xl-7 col-lg-7 col-md-6">
                    <div class="single-product-details">
                        <div class="card">
                            <div class="card-body">
                                <h2>Descripción</h2>
                                <p>{{ $producto->descripcion }}</p>
                                <p class="py-2"><span>Precio: </span>${{ $producto->precio }}</p>
                                <p class="py-2"><span>Comercio: </span>{{ $comercio->nombre }}</p>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
@endsection

@section('js')
    <script src="https://cdn.jsdelivr.net/npm/swiper@11/swiper-bundle.min.js"></script>

    <!-- Initialize Swiper -->
    <script>
        var swiper = new Swiper(".mySwiper", {
            loop: true,
            spaceBetween: 10,
            slidesPerView: 4,
            freeMode: true,
            watchSlidesProgress: true,
        });
        var swiper2 = new Swiper(".mySwiper2", {
            loop: true,
            spaceBetween: 10,
            navigation: {
                nextEl: ".swiper-button-next",
                prevEl: ".swiper-button-prev",
            },
            thumbs: {
                swiper: swiper,
            },
        });
    </script>
@endsection
