<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Consulta de Cliente</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f4;
            margin: 0;
            padding: 0;
            color: #333;
        }
        .email-container {
            width: 100%;
            max-width: 600px;
            margin: 0 auto;
            background-color: #fff;
            padding: 20px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        .header {
            background-color: #4CAF50;
            color: #fff;
            padding: 10px;
            text-align: center;
        }
        .header h1 {
            margin: 0;
            font-size: 24px;
        }
        .content {
            padding: 20px;
        }
        .content h2 {
            color: #4CAF50;
            font-size: 20px;
        }
        .content p {
            line-height: 1.6;
        }
        .content .details {
            margin: 20px 0;
        }
        .details p {
            margin: 5px 0;
        }
        .consulta {
            background-color: #f9f9f9;
            padding: 15px;
            border-left: 4px solid #4CAF50;
            margin: 20px 0;
            white-space: pre-wrap;
            word-wrap: break-word;
        }
        .footer {
            text-align: center;
            padding: 10px;
            background-color: #f4f4f4;
            color: #777;
            font-size: 12px;
        }
        .footer p {
            margin: 0;
        }
    </style>
</head>
<body>

<div class="email-container">
    <div class="header">
        <h1>Consulta de Cliente</h1>
    </div>
    <div class="content">
        <h2>¡Hola, {{ $data['nombre_comercio'] }}!</h2>
        <p>Has recibido una nueva consulta de un cliente. A continuación, se detallan los datos de la consulta:</p>

        <div class="details">
            <p><strong>Nombre:</strong> {{ $data['name'] }}</p>
            <p><strong>Email:</strong> {{ $data['mail'] }}</p>
        </div>

        <div class="consulta">
            <p><strong>Consulta:</strong></p>
            <p>{{ $data['text'] }}</p>
        </div>

        <p>Por favor, responde a esta consulta lo antes posible para brindar un excelente servicio a tu cliente.</p>
    </div>
    <div class="footer">
        <p>&copy; {{ date('Y') }} {{ $data['nombre_comercio'] }}. Todos los derechos reservados.</p>
    </div>
</div>

</body>
</html>
