@extends('administrador.app_admin')

@section('contenido')
    <div class="row">
        <div class="col-12">
            <div class="card shadow-lg p-3 bg-body-tertiary">
                <div class="card-header">
                    <div class="d-flex align-items-center">
                        <h4 class="card-title">Imágenes del comercio</h4>
                        <button class="btn btn-primary ms-auto" data-bs-toggle="modal" data-bs-target="#addRowModal">
                            <i class="fa fa-plus me-2"></i> Añadir
                        </button>
                    </div>

                    <!-- Vista de creación de imagen -->
                    <div class="modal fade" id="addRowModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title fw-bolder" id="exampleModalLabel">Nueva Imagen</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>

                                <!-- CREATE imagen_comercio -->
                                <form action="{{ route('galeria.store') }}" method="POST" enctype="multipart/form-data" id="formImagen">
                                    @csrf
                                    <div class="modal-body">
                                        <div class="row">
                                            <div class="col">
                                                <h3 class="fw-bold my-3">Ruta de la imagen</h3>
                                                <input type="file" class="form-control" id="ruta_img" name="ruta_img" accept="image/*" required>
                                                <input type="hidden" name="id_comercio" value="3">
                                            </div>
                                        </div>
                                        <div class="col-xl-12">
                                            <div class="card card-round">
                                                <div class="card-header">
                                                    <div class="card-head-row">
                                                        <div class="card-title">Previsualización</div>
                                                    </div>
                                                </div>
                                
                                                <div class="card-body">
                                                    <div class="imagen">
                                                        <img src="" id="preview-image" class="img-fluid rounded mx-auto d-block w-50">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-light" data-bs-dismiss="modal">Cancelar</button>
                                        <button type="submit" class="btn btn-success">Guardar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- FINAL Vista de creación de imagen -->
                </div>

                <div class="card-body">
                    <!-- Tabla de imágenes -->
                    <div class="table-responsive">
                        <table id="add-row" class="display table table-striped table-hover">
                            <thead>
                                <tr>
                                    <th>Imagen</th>
                                    <th style="width: 10%">Eliminar</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($data as $imagen)
                                    <tr>
                                        <td>
                                            <img src="{{ asset($imagen->ruta_img) }}" style="width: 6rem">
                                        </td>
                                        <td>
                                            <!-- Formulario DELETE imagen_comercio -->
                                            <form action="{{route('galeriaComercio.destroy',$imagen)}}" method="POST">
                                                @csrf
                                                @method('delete')
                                                <button type="submit" data-bs-toggle="tooltip" class="btn btn-link btn-danger">
                                                    <i class="fa fa-times"></i>
                                                </button>
                                            </form>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('js')
    <script>
        $(document).ready(function() {
            $("#add-row").DataTable({
                pageLength: 5,
            });

            // Función para mostrar la vista previa de la imagen seleccionada
            document.getElementById('ruta_img').addEventListener('change', function(event) {
                const reader = new FileReader();
                reader.onload = function(e) {
                    document.getElementById('preview-image').src = e.target.result;
                };
                reader.readAsDataURL(event.target.files[0]);
            });
        });
    </script>
@endsection