@extends('administrador.app_admin')

@section('contenido')
    <div class="row">

        <div class="col-xl-12">

            <div class="card mb-3 shadow-lg p-3 bg-body-tertiary">

                <div class="card-header">
                    <div class="card-head-row card-tools-still-right">
                        <div class="card-title">Información del comercio</div>

                        <div class="card-tools">
                            <div class="dropdown">                                
                                <a class="btn btn-outline-warning" href="{{route('comercio.edit',$item)}}">Editar</a>
                            </div>
                        </div>

                    </div>
                </div>

                <div class="card-body">

                    <div class="row">

                        <div class="col-sm-3">
                            <h6 class="mb-0">Nombre</h6>
                        </div>

                        <!--Nombre comercio-->
                        <div class="col-sm-9 text-secondary">
                            {{$item->nombre}}
                        </div>

                    </div>

                    <hr>

                    <div class="row">

                        <div class="col-sm-3">
                            <h6 class="mb-0">Categorias</h6>
                        </div>

                        <div class="col-sm-9 text-secondary">
                            <!-- Primer categoria -->
                            @foreach ($item->categorias as $index => $c)
                                <span>{{ $c->categoria->nombre }}{{ $index < count($item->categorias) - 1 ? ',' : '.' }}</span>
                            @endforeach
                        </div>
                        

                    </div>

                    <hr>

                    <div class="row">

                        <div class="col-sm-3">
                            <h6 class="mb-0">Correo</h6>
                        </div>

                        <!--Correo cliente-->
                        <div class="col-sm-9 text-secondary">
                            {{$item->correo}}
                        </div>

                    </div>

                    <hr>

                    <div class="row">

                        <div class="col-sm-3">
                            <h6 class="mb-0">Télefono</h6>
                        </div>

                        <!--Telefono cliente-->
                        <div class="col-sm-9 text-secondary">
                            {{$item->telefono}}
                        </div>

                    </div>

                    <hr>

                    <div class="row">

                        <div class="col-sm-3">
                            <h6 class="mb-0">Dirección</h6>
                        </div>

                        <!--Direccion cliente-->
                        <div class="col-sm-9 text-secondary">
                            {{$item->dirreccion}}
                        </div>

                    </div>

                    <hr>

                    <div class="row">

                        <div class="col-sm-3">
                            <h6 class="mb-0">Instagram</h6>
                        </div>

                        <div class="col-sm-9 text-secondary">
                            {{$item->enlace_instagram}}
                        </div>

                    </div>

                    <hr>

                    <div class="row">

                        <div class="col-sm-3">
                            <h6 class="mb-0">Facebook</h6>
                        </div>

                        <div class="col-sm-9 text-secondary">
                            {{$item->enlace_facebook}}
                        </div>

                    </div>

                    <hr>

                </div>
            </div>
        </div>
    </div>

    <div class="row">

        <div class="col-xl-12">

            <div class="card card-round">
                <div class="card-header">
                    <div class="card-head-row card-tools-still-right">
                        <div class="card-title">Descripción del comercio</div>
                    </div>
                </div>
                <div class="card-body">
                    <p class="fw-bold">{{$item->descripcion}}</p>
                </div>
            </div>

        </div>

    </div>
@endsection
