@extends('administrador.app_admin')

@section('contenido')
    <div class="row">

        <div class="col-12">

            <div class="card shadow-lg p-3 bg-body-tertiary">
                <div class="card-header">

                    <div class="card-header">
                        <div class="d-flex align-items-center">
                            <h4 class="card-title">Usuarios</h4>
    
                            <a class="btn btn-primary ms-auto" href="{{route('usuarios.create')}}">
                                <i class="fa fa-plus me-2"></i> Añadir
                            </a>
                        </div>
    
                    </div>

                </div>

                <div class="card-body">


                    <!--Tabla de categorias-->
                    <div class="table-responsive">
                        <table id="add-row" class="display table table-striped table-hover">
                            <thead>
                                <tr>

                                    <th>ID</th>
                                    <th>Nombre</th>
                                    <th>Correo</th>
                                    <th>Editar</th>
                                    <th>Eliminar</th>
                                </tr>
                            </thead>

                            <tbody>

                                @foreach ($data as $item)
                                    <tr>
                                        
                                        <td>{{ $item->id_usuario }}</td>
                                        <td>{{ $item->name }}</td>
                                        <td>{{ $item->email }}</td>
                                        <td>
                                            <a href="{{ Route('usuarios.edit', $item) }}"
                                                class="btn btn-link btn-warning btn-lg"><i class="fa fa-edit"></i>
                                            </a>

                                        </td>

                                        <td>
                                            <form action="{{ Route('usuarios.destroy', $item) }}" method="POST">
                                                @csrf
                                                @method('delete')
                                                <button class="btn btn-link btn-danger">
                                                    <i class="fa fa-times"></i>
                                                </button>
                                            </form>

                                        </td>
                                    </tr>
                                @endforeach

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

        </div>

    </div>
@endsection

@section('js')
    <script>
        $("#add-row").DataTable({
            pageLength: 5,
        });
    </script>
@endsection
