@extends('administrador.app_admin')

@section('contenido')
<div class="row">
    <div class="col-xl-4">
        <div class="card shadow-lg bg-body-tertiary">
            <div class="card-header">
                <div class="card-head-row card-tools-still-right">
                    <div class="card-title">Imágenes de: <span class="fw-bolder text-primary">{{ $item->nombre}}</span></div>
                    <div class="card-tools">
                        <a class="btn btn-outline-dark" href="{{ route('productos.index') }}">Regresar</a>
                    </div>
                </div>
            </div>
            <div class="card-body">
                <form action="{{ route('imagenes_producto.store')}}" method="POST" enctype="multipart/form-data">
                    @csrf

                    <input type="hidden" name="id_producto" value="{{ $item->id_producto }}">

                    <div class="form-group">
                        <label class="form-label">Imagen</label>

                        <div class="input-group mb-3">
                            <input class="form-control" type="file" name="ruta_img" required>
                        </div>

                        <div class="mt-2 text-end">
                            <button type="submit" class="btn btn-success">Guardar</button>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </div>

    <div class="col-xl-8">
        <div class="card shadow-lg bg-body-tertiary">
            <div class="card-header d-flex justify-content-between align-items-center">
                <h4 class="card-title">Imágenes del producto: <span class="fw-bolder">{{ $item->nombre}}</span></h4>
            </div>
            <div class="card-body">
                <!-- Tabla de imágenes -->
                <div class="table-responsive">
                    <table id="add-row" class="display table table-striped table-hover">
                        <thead>
                            <tr>
                                <th>Imagen</th>
                                <th>Ruta</th>
                                <th style="width: 10%">Eliminar</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($item->imagenes_producto as $imagen)
                                <tr>
                                    <td><img src="{{ asset($imagen->ruta_img) }}" alt="img" class="img-fluid" style="width: 15%;"></td>
                                    <td>{{ $imagen->ruta_img }}</td>
                                    <td>
                                        <form action="{{ route('imagenes_producto.destroy', $imagen->id_imagen_producto) }}" method="POST">
                                            @csrf
                                            @method('DELETE')
                                            <button type="submit" class="btn btn-link btn-danger">
                                                <i class="fa fa-times"></i>
                                            </button>
                                        </form>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $("#add-row").DataTable({
        pageLength: 4,
    });

    $("#addRowButton").click(function() {
        $("#add-row")
            .dataTable()
            .fnAddData([
                $("#addName").val(),
                $("#addPosition").val(),
                $("#addOffice").val(),
                action,
            ]);
        $("#addRowModal").modal("hide");
    });
</script>
@endsection
