@extends('administrador.app_admin')

@section('contenido')
    <div class="row">

        <div class="col-xl-5">

            <div class="card shadow-lg p-3 bg-body-tertiary">
                <div class="card-header d-flex justify-content-between align-items-center">
                    <div class="card-title">Agregar Producto</div>
                    <a class="btn btn-outline-dark" href="{{ route('productos.index') }}">Regresar</a>
                </div>

                <div class="card-body">

                    <form action="{{ route('productos.store') }}" method="POST" id="form-js" enctype="multipart/form-data">
                        @csrf

                        <div class="mb-3">
                            <label class="form-label">Nombre</label>
                            <input class="form-control" name="nombre" type="text" required>
                        </div>

                        <div class="mb-3">
                            <label class="form-label">Precio</label>
                            <div class="input-group">
                                <span class="input-group-text">₡</span>
                                <input class="form-control" name="precio" type="number" placeholder="" required
                                    min="1">
                            </div>
                        </div>

                        <div class="mb-3">
                            <label class="form-label">Descripción</label>
                            <input class="form-control" name="descripcion" type="text">
                        </div>

                        <div class="mb-3">
                            <label class="form-label">Imagen</label>
                            <input class="form-control" type="file" name="ruta_img" id="inputImage" required>
                        </div>

                        <input type="hidden" name="bandera" id="bandera-js">

                        <div class="mb-3 text-end">
                            <button type="button" class="btn btn-success" data-bs-toggle="modal"
                                data-bs-target="#Modal_decision">Guardar</button>
                        </div>

                    </form>

                    <div class="modal fade" id="Modal_decision" tabindex="-1" aria-labelledby="Modal_decisionLabel"
                        aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h1 class="modal-title fs-5" id="Modal_decisionLabel">Estimado Usuario</h1>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                        aria-label="Close"></button>
                                </div>
                                <div class="modal-body text-center">
                                    <h4>¿Deseas añadirle una galería a este producto?</h4>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" id="continuar-js" class="btn btn-primary">Ir a añadir</button>
                                    <button type="button" id="cancelar-js" class="btn btn-danger"
                                        data-bs-dismiss="modal">Cancelar</button>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>

        <div class="col-xl-3">
            <div class="card shadow-lg p-3 bg-body-tertiary">
                <div class="card-header d-flex justify-content-between align-items-center">
                    <div class="card-title">Imagen</div>
                </div>
                <div class="card-body d-flex justify-content-center align-items-center">
                    <img id="previewImage" src="" class="img-fluid w-100">
                </div>
            </div>
        </div>

    </div>
@endsection

@section('js')
    <script>
        $(document).ready(function() {

            document.getElementById('inputImage').addEventListener('change', function(event) {
                const file = event.target.files[0];
                if (file) {
                    const reader = new FileReader();
                    reader.onload = function(e) {
                        document.getElementById('previewImage').src = e.target.result;
                    }
                    reader.readAsDataURL(file);
                }
            });

            document.getElementById('inputImage').addEventListener('change', function(event) {
                const file = event.target.files[0];
                if (file) {
                    const reader = new FileReader();
                    reader.onload = function(e) {
                        document.getElementById('previewImage').src = e.target.result;
                    }
                    reader.readAsDataURL(file);
                }
            });

            //Logica para enviar a la galeria
            $('#continuar-js').click(function() {
                enviarFormulario('1');
            })

            $('#cancelar-js').click(function() {
                enviarFormulario('0');
            })

            function enviarFormulario(valorBandera) {
                $('#bandera-js').val(valorBandera);
                $('#form-js').submit();
            }

        });
    </script>
@endsection
