@extends('administrador.app_admin')

@section('contenido')
    <div class="row ">

        <div class="col-xl-5">

            <div class="card shadow-lg p-3 bg-body-tertiary">

                <div class="card-header d-flex justify-content-between align-items-center">
                    <div class="card-title">Editar Producto</div>
                    <a class="btn btn-outline-dark" href="{{Route('productos.index')}}">Regresar</a>
                </div>

                <div class="card-body">
                    <form action="{{Route('productos.update', $item)}}" method="POST" enctype="multipart/form-data">
                        @csrf
                        @method('PUT')

                        <div class="mb-3">
                            <label class="form-label">Nombre</label>
                            <input class="form-control" name="nombre" type="text" value="{{$item->nombre}}">
                        </div>

                        <div class="mb-3">
                            <label class="form-label">Precio</label>
                            <div class="input-group">
                                <span class="input-group-text">₡</span>
                                <input class="form-control" name="precio" type="number" value="{{$item->precio}}">
                            </div>
                        </div>

                        <div class="mb-3">
                            <label class="form-label">Descripción</label>
                            <input class="form-control" name="descripcion" type="text" value="{{$item->descripcion}}">
                        </div>

                        <div class="mb-3">
                            <label class="form-label">Imagen</label>
                            <input class="form-control" type="file" name="ruta_img" id="inputImage">
                        </div>

                        <div class="mb-3 text-end">
                            <button type="submit" class="btn btn-warning">Guardar</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <div class="col-xl-3">
            <div class="card shadow-lg p-3 bg-body-tertiary">

                <div class="card-header d-flex justify-content-between align-items-center">
                    <div class="card-title">Imagen</div>
                    <a class="btn btn-link btn-danger" href="" id="removeImage">Eliminar</a>
                </div>

                <div class="card-body d-flex justify-content-center align-items-center">
                    <img src="{{asset($item->ruta_img)}}" class="img-fluid w-100" alt="Imagen" id="previewImage">
                </div>
            </div>
        </div>
    </div>
@endsection

@section('js')


<script>

  
    document.getElementById('inputImage').addEventListener('change', function(event) {
        const file = event.target.files[0];
        if (file) {
            const reader = new FileReader();
            reader.onload = function(e) {
                document.getElementById('previewImage').src = e.target.result;
            }
            reader.readAsDataURL(file);
        }
    });

    document.getElementById('removeImage').addEventListener('click', function(event) {
        event.preventDefault();
        document.getElementById('previewImage').src = 'libs/images/img-pro-03.jpg';
        document.getElementById('inputImage').value = null;
    });

</script>



@endsection
