@extends('administrador.app_admin')

@section('contenido')
    <div class="row">

        <div class="col">


            <div class="card shadow-lg p-3 bg-body-tertiary">
                <div class="card-header">
                    <div class="d-flex align-items-center">
                        <h4 class="card-title">Productos</h4>

                        <a class="btn btn-primary ms-auto" href="{{route('productos.create')}}">
                            <i class="fa fa-plus me-2"></i> Añadir
                        </a>
                    </div>

                </div>

                <div class="card-body">


                    <!--Tabla de categorias-->
                    <div class="table-responsive">
                        <table id="add-row" class="display table table-striped table-hover">
                            <thead>
                                <tr>
                                    <th>Imagen</th>
                                    <th>Nombre</th>
                                    <th>Descripcion</th>
                                    <th>Precio</th>
                                    <th style="width: 10%">Galeria</th>
                                    <th style="width: 10%">Editar</th>
                                    <th style="width: 10%">Eliminar</th>
                                </tr>
                            </thead>

                            <tbody>
                                @foreach ($data as $item)
                                    <tr>
                                        <td><img src="{{$item->ruta_img}}" class="img-fluid w-25">
                                        </td>
                                        <td>{{ $item->nombre }}</td>
                                        <td>{{ $item->descripcion }}</td>
                                        <td>{{ number_format($item->precio, 2, ',', '.') }}</td>

                                        <td>
                                            <a href="{{ route('productos.show', $item) }}" class="btn btn-link btn-lg"> <i
                                                    class="fa fa-images"></i>
                                            </a>

                                        </td>

                                        <td>
                                            <a href="{{ Route('productos.edit', $item) }}"
                                                class="btn btn-link btn-warning btn-lg"><i class="fa fa-edit"></i>
                                            </a>

                                        </td>

                                        <td>
                                            <form action="{{ Route('productos.destroy', $item) }}" method="POST">
                                                @csrf
                                                @method('delete')
                                                <button class="btn btn-link btn-danger">
                                                    <i class="fa fa-times"></i>
                                                </button>
                                            </form>

                                        </td>


                                    </tr>
                                @endforeach


                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

    </div>
@endsection

@section('js')

    <script>
        $("#add-row").DataTable({
            pageLength: 5,
        });

        $("#addRowButton").click(function() {
            $("#add-row")
                .dataTable()
                .fnAddData([
                    $("#addName").val(),
                    $("#addPosition").val(),
                    $("#addOffice").val(),
                    action,
                ]);
            $("#addRowModal").modal("hide");
        });
    </script>
        @yield('jsTable')

@endsection
