<!DOCTYPE html>
<html lang="en">

<head>

    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta content="width=device-width, initial-scale=1.0, shrink-to-fit=no" name="viewport" />
    <title>Dashboard</title>

    <link rel="icon" href="/libs_admin/img/kaiadmin/favicon.ico" type="image/x-icon" />



    <!-- Fonts and icons -->
    <script src="/libs_admin/js/plugin/webfont/webfont.min.js"></script>

    <script>
        WebFont.load({
            google: {
                families: ["Public Sans:300,400,500,600,700"]
            },
            custom: {
                families: [
                    "Font Awesome 5 Solid",
                    "Font Awesome 5 Regular",
                    "Font Awesome 5 Brands",
                    "simple-line-icons",
                ],
                urls: ["/libs_admin/css/fonts.min.css"],
            },
            active: function() {
                sessionStorage.fonts = true;
            },
        });
    </script>

    <!-- CSS Files -->
    <link rel="stylesheet" href="/libs_admin/css/bootstrap.min.css" />
    <link rel="stylesheet" href="/libs_admin/css/plugins.min.css" />
    <link rel="stylesheet" href="/libs_admin/css/kaiadmin.min.css" />
    <link rel="stylesheet" href="/libs_admin/css/styles.css" />
    <link rel="stylesheet" href="/libs_admin/css/datatables.min.css" />

    <link href="https://cdn.jsdelivr.net/npm/sweetalert2@11.11.1/dist/sweetalert2.min.css" rel="stylesheet">

</head>

<body>

    <div class="wrapper">
        <!-- Sidebar -->

        <div class="sidebar" data-background-color="dark">
            <div class="sidebar-logo">

                <div class="logo-header" data-background-color="dark">

                    <!--Modificar ruta-->
                    <?php if($user->rol == 1): ?>
                        <a href="<?php echo e(route('adminIndex')); ?>" class="logo">
                            <img src="\libs_admin\img\logo_admin_1.png" alt="navbar brand" class="navbar-brand"
                                height="55" />
                        </a>
                    <?php else: ?>
                        <a href="<?php echo e(route('adminIndex')); ?>" class="logo">
                            <img src="\libs_admin\img\logo_admin_1.png" alt="navbar brand" class="navbar-brand"
                                height="55" />
                        </a>
                    <?php endif; ?>


                    <div class="nav-toggle">

                        <button class="btn btn-toggle toggle-sidebar">
                            <i class="gg-menu-right"></i>
                        </button>

                        <button class="btn btn-toggle sidenav-toggler">
                            <i class="gg-menu-left"></i>
                        </button>

                    </div>

                    <button class="topbar-toggler more">
                        <i class="gg-more-vertical-alt"></i>
                    </button>

                </div>

            </div>
            <!-- Termina logo de encabezado -->

            <div class="sidebar-wrapper scrollbar scrollbar-inner">

                <div class="sidebar-content">

                    <ul class="nav nav-secondary">



                        <?php if($user->rol == 1): ?>
                            <li class="nav-item active"> <a href="<?php echo e(route('adminIndex')); ?>"> <i
                                        class="fas fa-home"></i>
                                    <p>Inicio</p>
                                </a>
                            </li>

                            <li class="nav-section">

                                <span class="sidebar-mini-icon">
                                    <i class="fa fa-ellipsis-h"></i>
                                </span>
                                <h4 class="text-section">Secciones</h4>

                            </li>

                            <li class="nav-item"> <a href="<?php echo e(route('categorias.index')); ?>">
                                    <i class="fas fa-layer-group"></i>
                                    <p>Categorias</p>
                                </a>
                            </li>

                            <li class="nav-item"> <a href=" <?php echo e(route('sliders.index')); ?>"> <i class="icon-pin"></i>
                                    <p>Sliders</p>
                                </a>
                            </li>

                            <li class="nav-item"> <a href="<?php echo e(route('indexUsuarios')); ?>"> <i
                                        class="fas fa-address-book"></i>
                                    <p>Usuarios</p>
                                </a>
                            </li>
                        <?php else: ?>
                            <li class="nav-item active"> <a href="<?php echo e(route('adminIndex')); ?>"> <i
                                        class="fas fa-home"></i>
                                    <p>Inicio</p>
                                </a>
                            </li>

                            <li class="nav-item comercio">

                                <a data-bs-toggle="collapse" href="#submenu">
                                    <i class="fas fa-store"></i>
                                    <p>Comercio</p>
                                    <span class="caret"></span>
                                </a>

                                <div class="collapse" id="submenu">

                                    <ul class="nav nav-collapse">

                                        <li>

                                            <a data-bs-toggle="collapse" href="#subnav2"><i
                                                    class="fas fa-info-circle"></i>
                                                <p>Información</p> <span class="caret"></span>
                                            </a>

                                            <div class="collapse" id="subnav2">

                                                <ul class="nav nav-collapse subnav">

                                                    <li>
                                                        <a href="<?php echo e(route('comercio.index')); ?>">
                                                            <span class="sub-item">General</span>
                                                        </a>
                                                    </li>

                                                    <li>
                                                        <a href="<?php echo e(route('galeriaComercio.index')); ?>">
                                                            <span class="sub-item">Imagenes</span>
                                                        </a>
                                                    </li>

                                                </ul>

                                            </div>

                                        </li>

                                        <li>
                                            <a href="<?php echo e(route('productos.index')); ?>"><i class="fas fa-box-open"></i>
                                                <p>Productos</p>
                                            </a>
                                        </li>

                                    </ul>

                                </div>
                            </li>
                        <?php endif; ?>



                    </ul>
                </div>
            </div>
        </div>
        <!-- Termina Barra izquierda -->

        <div class="main-panel">
            <div class="main-header">
                <div class="main-header-logo">
                    <!-- Logo Header -->
                    <div class="logo-header" data-background-color="dark">
                        <a href="index.html" class="logo">
                            <img src="libs_admin/img/kaiadmin/logo_light.svg" alt="navbar brand" class="navbar-brand"
                                height="20" />
                        </a>
                        <div class="nav-toggle">
                            <button class="btn btn-toggle toggle-sidebar">
                                <i class="gg-menu-right"></i>
                            </button>
                            <button class="btn btn-toggle sidenav-toggler">
                                <i class="gg-menu-left"></i>
                            </button>
                        </div>
                        <button class="topbar-toggler more">
                            <i class="gg-more-vertical-alt"></i>
                        </button>
                    </div>
                    <!-- End Logo Header -->
                </div>
                <!-- Navbar Header -->
                <nav class="navbar navbar-header navbar-header-transparent navbar-expand-lg border-bottom">

                    <div class="container-fluid">

                        <nav
                            class="navbar navbar-header-left navbar-expand-lg navbar-form nav-search p-0 d-none d-lg-flex">

                            <!--Nombre de usuario-->
                            <h4>Bienvenido de nuevo, <span class="fw-bold nombre"><?php echo e($user->name); ?></span> </h4>

                        </nav>

                        <ul class="navbar-nav topbar-nav ms-md-auto align-items-center">

                            <!--Perfil usuario-->
                            <li class="nav-item topbar-user dropdown hidden-caret">
                                <a class="dropdown-toggle profile-pic" data-bs-toggle="dropdown" href="#"
                                    aria-expanded="false">

                                    <span class="profile-username">
                                        <span class="op-7">Hola, </span>

                                        <!--Colocar nombre de usuario-->
                                        <span class="fw-bold"><?php echo e($user->name); ?></span>
                                    </span>

                                </a>
                                <ul class="dropdown-menu dropdown-user animated fadeIn">
                                    <div class="dropdown-user-scroll scrollbar-outer">

                                        <li>

                                            <div class="user-box">

                                                <div class="u-text">
                                                    <!--Colocar nombre de usuario-->
                                                    <h4><?php echo e($user->name); ?></h4>
                                                    <!--Colocar correo de usuario-->
                                                    <p class="text-muted"><?php echo e($user->email); ?></p>
                                                </div>

                                            </div>

                                        </li>

                                        <li>
                                            <div class="dropdown-divider"></div>
                                            <?php if($user->rol == 2): ?>
                                            <a class="dropdown-item"
                                            href="<?php echo e(route('comercio.edit', $user)); ?>">Configuración de
                                            comercio</a>
                                            <?php endif; ?>
                                           
                                            <a class="dropdown-item" href="<?php echo e(route('logout')); ?>"
                                                onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                                                Salir
                                            </a>
                                            <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST"
                                                style="display: none;">
                                                <?php echo csrf_field(); ?>
                                            </form>
                                        </li>
                                    </div>
                                </ul>
                            </li>

                        </ul>
                    </div>
                </nav>
                <!-- End Navbar -->
            </div>

            <!--Inicio de cuerpo-->
            <div class="container">
                <div class="page-inner">

                    <?php echo $__env->yieldContent('contenido'); ?>

                </div>

            </div>
            <!--Fin de cuerpo-->

        </div>

        <!--   Core JS Files   -->
        <script src="/libs_admin/js/core/jquery-3.7.1.min.js"></script>
        <script src="/libs_admin/js/core/popper.min.js"></script>
        <script src="/libs_admin/js/core/bootstrap.min.js"></script>

        <!-- jQuery Scrollbar -->
        <script src="/libs_admin/js/plugin/jquery-scrollbar/jquery.scrollbar.min.js"></script>

        <!-- Chart JS -->
        <script src="/libs_admin/js/plugin/chart.js/chart.min.js"></script>

        <!-- jQuery Sparkline -->
        <script src="/libs_admin/js/plugin/jquery.sparkline/jquery.sparkline.min.js"></script>

        <!-- Chart Circle -->
        <script src="/libs_admin/js/plugin/chart-circle/circles.min.js"></script>

        <!-- Datatables -->
        <script src="/libs_admin/js/plugin/datatables/datatables.min.js"></script>

        <!-- Bootstrap Notify -->
        <script src="/libs_admin/js/plugin/bootstrap-notify/bootstrap-notify.min.js"></script>

        <!-- Sweet Alert -->
        <script src="/libs_admin/js/plugin/sweetalert/sweetalert.min.js"></script>

        <!-- Kaiadmin JS -->
        <script src="/libs_admin/js/kaiadmin.min.js"></script>

        <script async
            src="https://maps.googleapis.com/maps/api/js?key=AIzaSyA6LH4NtKdH2AUFtAqiOeUTBysHAzmpBE8&libraries=places&callback=initMap">
        </script>


        <?php echo $__env->yieldContent('js'); ?>

</body>

</html>
<?php /**PATH C:\Users\kenda\Escritorio\if4101-Proyecto3-grupo_3-main\resources\views/administrador/app_admin.blade.php ENDPATH**/ ?>